using VT.FW.DB;
using System;
using System.Collections.Generic;
using System.Text;

namespace Mall.Model.Extend.User
{
    /// <summary>
    /// 插件表扩展实体类
    /// </summary>
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class RB_PlugIn_Extend : Entity.User.RB_PlugIn
    {
        /// <summary>
        /// 组件分类名称
        /// </summary>
        public string GroupName
        {
            get
            {
                string str = "";
                switch (this.PlugType)
                {
                    case 1: str = "基础组件"; break;
                    case 2: str = "营销组件"; break;
                    case 3: str = "其它组件"; break;
                    case 4: str = "表单组件"; break;
                }
                return str;
            }
        }

        /// <summary>
        /// 商城编号
        /// </summary>
        public int TenantId { get; set; }

        /// <summary>
        /// 查询插件类型【查询使用】
        /// </summary>
        public string QPlugTypeStr { get; set; }
    }
}
